KEXI(1)

NAME
kexi - Database creation for everyone

SYNOPSIS
kexi [Qt-options] [KDE-options] [options] [database-name]

DESCRIPTION
Database creation for everyone

OPTIONS

  Arguments:

  database-name Database project filename
or shortcut filename or database name on a server to open

  Options related to entire projects:

--createdb
    Create a new, blank project using specified database driver and database name and exit immediately. You will be asked for confirmation if overwriting is needed.

--create-opendb
    Like --createdb, but also open newly created database.

--dropdb
    Drop (remove) a project using specified database driver and database name. You will be asked for confirmation.

--drv, --dbdriver <name>
    Database driver to be used for connecting to a database project (SQLite by default). Ignored if a shortcut filename is provided.

-t, --type <name>
    Specifies a type of a file provided as argument. This option is useful if your filename has not set a valid extension and it's type cannot be detected unambiguously by looking at it's contents. This option is ignored if no file is specified as an argument. Available file types are: - "project" for a project file (the default) - "shortcut" for a shortcut file pointing you to a project.

  Options related to opening objects within a project:

  --open
[<object_type>:]<object_name>
    Open object of type <object_type> and name <object_name> from specified project on application start. <object_type>: is optional, if omitted - table type is assumed. Other object types can be query, report, form, script (may be more or less, depending on your plugins installed). Use "" chars to specify names containing spaces. Examples: --open MyTable, --open query:"My very big query"

--design
    [<object_type>:]<object_name> Like --open, but the object will be opened in Design Mode, if one is available

--edittext
    [<object_type>:]<object_name> Like --open, but the object will be opened in Text Mode, if one is available

--new
    <object_type> Start new object design of type <object_type>

  Options related to database servers:

  -u, --user <name>
User name to be used
    for connecting to a database project. Ignored if a shortcut filename is provided.

-h, --host <name>
    Server (host) name to be used for connecting to a database project. Ignored if a shortcut filename is provided.

--port <number>
    Server's port name to be used for connecting to a database project. Ignored if a shortcut filename is provided.

--local-socket <filename>
    Server's local socket filename to be used for connecting to a database project. Ignored if a shortcut filename is provided.

  Generic options:

  --help
Show help about options

--help-qt
    Show Qt specific options

--help-kde
    Show KDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  KDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

SEE ALSO

  Full user documentation is available through the KDE Help Center. You can also enter the URL
help:/kexi/ directly into konqueror or you can run `khelpcenter help:/kexi/' from the command-line.

AUTHORS
Jaroslaw Staniek / OpenOffice Polska <js@iidea.pl>
Lucijan Busch <lucijan@kde.org>
Cedric Pasteur <cedric.pasteur@free.fr>
Adam Pigg <adam@piggz.fsnet.co.uk>
Martin Ellis <martin.ellis@kdemail.net>
Sebastian Sauer <mail@dipe.org>
Christian Nitschkowski <segfault_ii@web.de>
Peter Simonsson <psn@linux.se>
Joseph Wenninger <jowenn@kde.org>
Seth Kurzenberg <seth@cql.com>
Laurent Montel <montel@kde.org>
Till Busch <till@bux.at>